<!DOCTYPE html>

<html>
<head>
<meta charset="UTF-8">

<title>RDoc Documentation</title>

<script type="text/javascript">
  var rdoc_rel_prefix = "./";
  var index_rel_prefix = "./";
</script>

<script src="./js/jquery.js"></script>
<script src="./js/darkfish.js"></script>

<link href="./css/fonts.css" rel="stylesheet">
<link href="./css/rdoc.css" rel="stylesheet">



<body id="top" role="document" class="file">
<nav role="navigation">
  <div id="project-navigation">
    <div id="home-section" role="region" title="Quick navigation" class="nav-section">
  <h2>
    <a href="./index.html" rel="home">Home</a>
  </h2>

  <div id="table-of-contents-navigation">
    <a href="./table_of_contents.html#pages">Pages</a>
    <a href="./table_of_contents.html#classes">Classes</a>
    <a href="./table_of_contents.html#methods">Methods</a>
  </div>
</div>


    <div id="search-section" role="search" class="project-section initially-hidden">
  <form action="#" method="get" accept-charset="utf-8">
    <div id="search-field-wrapper">
      <input id="search-field" role="combobox" aria-label="Search"
             aria-autocomplete="list" aria-controls="search-results"
             type="text" name="search" placeholder="Search" spellcheck="false"
             title="Type to search, Up and Down to navigate, Enter to load">
    </div>

    <ul id="search-results" aria-label="Search Results"
        aria-busy="false" aria-expanded="false"
        aria-atomic="false" class="initially-hidden"></ul>
  </form>
</div>

  </div>

  <div id="project-metadata">
    <div id="fileindex-section" class="nav-section">
  <h3>Pages</h3>

  <ul class="link-list">
  
    <li><a href="./Gemfile.html">Gemfile</a>
  
    <li><a href="./Gemfile_lock.html">Gemfile.lock</a>
  
    <li><a href="./README_md.html">README</a>
  
    <li><a href="./Rakefile.html">Rakefile</a>
  
    <li><a href="./app/assets/config/storehaus_manifest_js.html">storehaus_manifest.js</a>
  
    <li><a href="./app/assets/javascripts/storehaus/application_js.html">application.js</a>
  
    <li><a href="./app/assets/stylesheets/storehaus/application_css.html">application.css</a>
  
    <li><a href="./lib/tasks/storehaus_tasks_rake.html">storehaus_tasks.rake</a>
  
    <li><a href="./spec/dummy/Rakefile.html">Rakefile</a>
  
    <li><a href="./spec/dummy/app/assets/config/manifest_js.html">manifest.js</a>
  
    <li><a href="./spec/dummy/app/assets/javascripts/application_js.html">application.js</a>
  
    <li><a href="./spec/dummy/app/assets/javascripts/cable_js.html">cable.js</a>
  
    <li><a href="./spec/dummy/app/assets/stylesheets/application_css.html">application.css</a>
  
    <li><a href="./spec/dummy/config_ru.html">config.ru</a>
  
    <li><a href="./spec/dummy/log/development_log.html">development.log</a>
  
    <li><a href="./spec/dummy/log/test_log.html">test.log</a>
  
    <li><a href="./spec/dummy/package_json.html">package.json</a>
  
    <li><a href="./spec/dummy/public/404_html.html">404.html</a>
  
    <li><a href="./spec/dummy/public/422_html.html">422.html</a>
  
    <li><a href="./spec/dummy/public/500_html.html">500.html</a>
  
    <li><a href="./spec/dummy/public/apple-touch-icon-precomposed_png.html">apple-touch-icon-precomposed.png</a>
  
    <li><a href="./spec/dummy/public/apple-touch-icon_png.html">apple-touch-icon.png</a>
  
    <li><a href="./spec/dummy/public/favicon_ico.html">favicon.ico</a>
  
    <li><a href="./storehaus_gemspec.html">storehaus.gemspec</a>
  
  </ul>
</div>

    <div id="classindex-section" class="nav-section">
  <h3>Class and Module Index</h3>

  <ul class="link-list">
  
    <li><a href="./ActiveRecord.html">ActiveRecord</a>
  
    <li><a href="./ActiveStorage.html">ActiveStorage</a>
  
    <li><a href="./ActiveSupport.html">ActiveSupport</a>
  
    <li><a href="./AddLibraryMetadataToActiveStorageBlobs.html">AddLibraryMetadataToActiveStorageBlobs</a>
  
    <li><a href="./ApplicationCable.html">ApplicationCable</a>
  
    <li><a href="./ApplicationCable/Channel.html">ApplicationCable::Channel</a>
  
    <li><a href="./ApplicationCable/Connection.html">ApplicationCable::Connection</a>
  
    <li><a href="./ApplicationController.html">ApplicationController</a>
  
    <li><a href="./ApplicationHelper.html">ApplicationHelper</a>
  
    <li><a href="./ApplicationJob.html">ApplicationJob</a>
  
    <li><a href="./ApplicationRecord.html">ApplicationRecord</a>
  
    <li><a href="./CreateActiveStorageTables.html">CreateActiveStorageTables</a>
  
    <li><a href="./Dummy.html">Dummy</a>
  
    <li><a href="./Dummy/Application.html">Dummy::Application</a>
  
    <li><a href="./Logger.html">Logger</a>
  
    <li><a href="./Object.html">Object</a>
  
    <li><a href="./Storehaus.html">Storehaus</a>
  
    <li><a href="./Storehaus/ApplicationController.html">Storehaus::ApplicationController</a>
  
    <li><a href="./Storehaus/ApplicationHelper.html">Storehaus::ApplicationHelper</a>
  
    <li><a href="./Storehaus/ApplicationJob.html">Storehaus::ApplicationJob</a>
  
    <li><a href="./Storehaus/ApplicationMailer.html">Storehaus::ApplicationMailer</a>
  
    <li><a href="./Storehaus/ApplicationRecord.html">Storehaus::ApplicationRecord</a>
  
    <li><a href="./Storehaus/Configuration.html">Storehaus::Configuration</a>
  
    <li><a href="./Storehaus/Engine.html">Storehaus::Engine</a>
  
    <li><a href="./Storehaus/Engine/ActiveStorage.html">Storehaus::Engine::ActiveStorage</a>
  
    <li><a href="./Storehaus/LibraryMetadata.html">Storehaus::LibraryMetadata</a>
  
    <li><a href="./Storehaus/LibraryMetadata/Type.html">Storehaus::LibraryMetadata::Type</a>
  
  </ul>
</div>

  </div>
</nav>

<main role="main">
<p>This is the API documentation for RDoc Documentation.
</main>



<footer id="validator-badges" role="contentinfo">
  <p><a href="https://validator.w3.org/check/referer">Validate</a>
  <p>Generated by <a href="https://ruby.github.io/rdoc/">RDoc</a> 6.0.1.
  <p>Based on <a href="http://deveiate.org/projects/Darkfish-RDoc/">Darkfish</a> by <a href="http://deveiate.org">Michael Granger</a>.
</footer>

